%
% Compute the multipler from status values
%
% NV = new values NV(1) = x position 
%                 NV(2) = y position
%                 NV(3) = x velocity
%                 NV(4) = y velocity
%
% omega, zeta = parameter for Baumgarte constraint stabilizartion
%
% m, g, r = parameter of the model, respectively mass, gravity an ray.
%
% lambda1N = multiplier for constraint (a vector of 1 element)
%
function lambda1N = EvalLambda( NV, omega, zeta, m, g, r )
  t1  = NV(3);
  t2  = (t1 ^ 2);
  t4  = (zeta * omega);
  t5  = NV(1);
  t9  = NV(2);
  t10 = NV(4);
  t14 = (t10 ^ 2);
  t19 = (omega ^ 2);
  t20 = (t5 ^ 2);
  t22 = (t9 ^ 2);
  t24 = (r ^ 2);
  lambda1N = ((-2 * t2 - 4 * t4 * t5 * t1 - 4 * t4 * t9 * t10 - 2 * t14 + 2 * t9 * m * g - t19 * t20 - t19 * t22 + t19 * t24) / (t22 + t20)) / 0.4e1;
end
