%
% Test implicit Euler solver.
%
% TMAX = time of ending simulation
%
% X0 = initial status X0(1) = x position
%                     X0(2) = y position
%                     X0(3) = x velcity
%                     X0(4) = y velcity
%
% DT = advancind time step
%
% omega, zeta = parameter for Baumgarte constraint stabilizartion
%
% m, g, r = parameter of the model, respectively mass, gravity an ray.
%
% Return RES a matrix whose rows are the solution of numerical simulation.
%
% RES(1,:) = time
% RES(2,:) = x position
% RES(3,:) = y position
% RES(4,:) = x velcity
% RES(5,:) = y velcity
%
function RES = EvalSolution( TMAX, XO, DT, omega, zeta, m, g, r )
  tvec = 0:DT:TMAX ;
  RES = [ 0 ; XO] ;
  for t=tvec
	XO  = EvalImplicitEulerStep( XO, DT, omega, zeta, m, g, r ) ;
	RES = [RES [ 0 ; XO] ] ;
  end
end
